-- =============================================
-- Author:		Valerio Colaianni
-- Create date: 17 marzo 2009
-- =============================================
CREATE procedure [C6Mart].[DM_CODIFICA_CREDITRISK]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	SET @ID_ELAB = C6Mart.GETIDELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_CODIFICA_CREDITRISK',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6Mart.CODIFICA_CREDITRISK
	INSERT INTO C6Mart.[CODIFICA_CREDITRISK]
           ([PROFILO]
           ,[DESCRIZIONE]
           ,[MIN_VAL]
           ,[MAX_VAL]
           ,[ID_ELAB])
	SELECT 
		COD,
		DESCR,
		MINVAL,
		MAXVAL,
		@ID_ELAB AS ID_ELAB
	FROM C6STAGING.RISKCLASS
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'CODIFICA_CREDITRISK' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'CODIFICA_CREDITRISK'
		)
END